[Fusionforge-commits] r13000 - trunk/tests/scripts

Christian Bayle cbayle at fusionforge.org
Sun Apr 3 10:28:40 CEST 2011


Author: cbayle
Date: 2011-04-03 10:28:40 +0200 (Sun, 03 Apr 2011)
New Revision: 13000

Modified:
   trunk/tests/scripts/fusionforge-build-and-test-deb.sh
   trunk/tests/scripts/fusionforge-build-and-test-rpm.sh
   trunk/tests/scripts/fusionforge-build-and-test-source.sh
Log:
also deal with retcode when remote
run script verbose
copy content of log


Modified: trunk/tests/scripts/fusionforge-build-and-test-deb.sh
===================================================================
--- trunk/tests/scripts/fusionforge-build-and-test-deb.sh	2011-04-03 01:58:38 UTC (rev 12999)
+++ trunk/tests/scripts/fusionforge-build-and-test-deb.sh	2011-04-03 08:28:40 UTC (rev 13000)
@@ -1,4 +1,4 @@
-#!/bin/sh -e
+#!/bin/sh -ex
 
 export CURDIR=`pwd`
 export WORKSPACE=${WORKSPACE:-$CURDIR}
@@ -102,7 +102,7 @@
 if $REMOTESELENIUM
 then
 	echo "Run phpunit test on $HOST"
-	ssh -X root@$HOST "tests/scripts/phpunit.sh DEBDebian60Tests.php" 
+	ssh -X root@$HOST "tests/scripts/phpunit.sh DEBDebian60Tests.php" || retcode=$?
 else
 	cd tests
 	phpunit --log-junit $WORKSPACE/reports/phpunit-selenium.xml DEBDebian60Tests.php || retcode=$?
@@ -110,7 +110,7 @@
 fi
 if [ "x$SELENIUM_RC_DIR" != "x" ]
 then
-	scp -r root@$HOST:/var/log $SELENIUM_RC_DIR
+	scp -r root@$HOST:/var/log/ $SELENIUM_RC_DIR
 fi
 cp $WORKSPACE/reports/phpunit-selenium.xml $WORKSPACE/reports/phpunit-selenium.xml.org
 xalan -in $WORKSPACE/reports/phpunit-selenium.xml.org -xsl fix_phpunit.xslt -out $WORKSPACE/reports/phpunit-selenium.xml

Modified: trunk/tests/scripts/fusionforge-build-and-test-rpm.sh
===================================================================
--- trunk/tests/scripts/fusionforge-build-and-test-rpm.sh	2011-04-03 01:58:38 UTC (rev 12999)
+++ trunk/tests/scripts/fusionforge-build-and-test-rpm.sh	2011-04-03 08:28:40 UTC (rev 13000)
@@ -1,4 +1,4 @@
-#!/bin/sh -e
+#!/bin/sh -ex
 
 export CURDIR=`pwd`
 export WORKSPACE=${WORKSPACE:-$CURDIR}
@@ -102,7 +102,7 @@
 if $REMOTESELENIUM
 then
 	echo "Run phpunit test on $HOST"
-	ssh -X root@$HOST "tests/scripts/phpunit.sh RPMCentos52Tests.php"
+	ssh -X root@$HOST "tests/scripts/phpunit.sh RPMCentos52Tests.php"|| retcode=$?
 else
 	cd tests
 	phpunit --log-junit $WORKSPACE/reports/phpunit-selenium.xml RPMCentos52Tests.php || retcode=$?
@@ -111,7 +111,7 @@
 
 if [ "x$SELENIUM_RC_DIR" != "x" ]
 then
-	scp -r root@$HOST:/var/log $SELENIUM_RC_DIR
+	scp -r root@$HOST:/var/log/ $SELENIUM_RC_DIR
 fi
 cp $WORKSPACE/reports/phpunit-selenium.xml $WORKSPACE/reports/phpunit-selenium.xml.org
 xalan -in $WORKSPACE/reports/phpunit-selenium.xml.org -xsl fix_phpunit.xslt -out $WORKSPACE/reports/phpunit-selenium.xml

Modified: trunk/tests/scripts/fusionforge-build-and-test-source.sh
===================================================================
--- trunk/tests/scripts/fusionforge-build-and-test-source.sh	2011-04-03 01:58:38 UTC (rev 12999)
+++ trunk/tests/scripts/fusionforge-build-and-test-source.sh	2011-04-03 08:28:40 UTC (rev 13000)
@@ -1,4 +1,4 @@
-#!/bin/sh -e
+#!/bin/sh -ex
 
 export CURDIR=`pwd`
 export WORKSPACE=${WORKSPACE:-$CURDIR}
@@ -100,7 +100,7 @@
 if $REMOTESELENIUM
 then
 	echo "Run phpunit test on $HOST"
-	ssh -X root@$HOST "tests/scripts/phpunit.sh TarCentos52Tests.php"
+	ssh -X root@$HOST "tests/scripts/phpunit.sh TarCentos52Tests.php" || retcode=$?
 else
 	cd tests
 	phpunit --log-junit $WORKSPACE/reports/phpunit-selenium.xml TarCentos52Tests.php || retcode=$?
@@ -108,7 +108,7 @@
 fi
 if [ "x$SELENIUM_RC_DIR" != "x" ]
 then
-	scp -r root@$HOST:/var/log $SELENIUM_RC_DIR
+	scp -r root@$HOST:/var/log/ $SELENIUM_RC_DIR
 fi
 cp $WORKSPACE/reports/phpunit-selenium.xml $WORKSPACE/reports/phpunit-selenium.xml.org
 xalan -in $WORKSPACE/reports/phpunit-selenium.xml.org -xsl fix_phpunit.xslt -out $WORKSPACE/reports/phpunit-selenium.xml




More information about the Fusionforge-commits mailing list